#include "../sdk/pikeytypes.h"

SceUID load_module(const char *path, int flags, int type);
void InitVars(void);
void LoadOutputDrivers(char *path);
void LoadInputDrivers(char *path);
int main_thread(SceSize args, void *argp);
int main(void);
void putNextCharW(wchar inChar);
void putNextChar(char inChar);
int numCharsAvailable(void);
int peekNChars(int n, wchar *buffer);
void flushBuffer(void);
wchar getNextCharW(void);
char getNextChar(void);
int setMode(int);
void _setMode(int);
void sendKeyPress(int keycode, int pressed, int shift, int ctrl, int alt);
void flushKeyPresses(void);
void _flushKeyPresses(void);
void sioPrint(const char *str);
void sioPrintHex(char ch);
void sioPrintWord(u32 data);
int configOpen(const char *filename);
int configRead(int cfgHandle, char *token, char *value);
void configClose(int cfgHandle);
